# SPDX-License-Identifier: CC0-1.0

{ stdenvNoCC, llvmPackages }:

let
  stdenv = stdenvNoCC;
  inherit (llvmPackages) libcxx;
in stdenv.mkDerivation rec {
  pname = "stdcxx";
  inherit (libcxx) version meta;

  buildInputs = [ libcxx ];

  dontUnpack = true;
  dontConfigure = true;
  dontBuild = true;

  installPhase = ''
    cflags=$NIX_CXXSTDLIB_COMPILE \
      substituteAll ${./stdcxx.pc} ${pname}.pc
    mkdir -p $out/lib/pkgconfig
    install -Dm444 *.pc $out/lib/pkgconfig
  '';
}
